Package org.zkoss.stateless.sul

## Enum IListheader.SortDirection

- java.lang.Object
- - java.lang.Enum<IListheader.SortDirection>
  - - org.zkoss.stateless.sul.IListheader.SortDirection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IListheader.SortDirection>`
  Enclosing interface:
    IListheader<I extends IAnyGroup>

      public static enum IListheader.SortDirection
      extends java.lang.Enum<IListheader.SortDirection>

  Sets the sort direction. This does not sort the data, it only serves as an indicator as to how the listbox is sorted. (unless the listbox has `IListbox.isAutosort()` attribute for model case)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASCENDING` | Indicates the ascending sorting.
    `DESCENDING` | Indicates the descending sorting.
    `NATURAL` | Indicates the natural sorting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IListheader.SortDirection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IListheader.SortDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final IListheader.SortDirection ASCENDING

      Indicates the ascending sorting.

    - #### DESCENDING

          public static final IListheader.SortDirection DESCENDING

      Indicates the descending sorting.

    - #### NATURAL

          public static final IListheader.SortDirection NATURAL

      Indicates the natural sorting. (Default value)

  - ### Method Detail

    - #### values

          public static IListheader.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IListheader.SortDirection c : IListheader.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IListheader.SortDirection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null